
#### Classifiers

##### Prisma Cloud - Classifier

Classifying the following alerts to the new "VM Alert Prioritization" incident type: 
  * AWS EC2 instance not configured with Instance Metadata Service v2 (IMDSv2)
  * AWS EC2 instance that is internet reachable with unrestricted access (0.0.0.0/0) other than HTTP/HTTPS port
  * AWS EC2 instance with unrestricted outbound access to internet
  * Azure VM data disk is encrypted with the default encryption key instead of ADE/CMK
  * Azure VM instance in running state that is internet reachable with unrestricted access (0.0.0.0/0) other than HTTP/HTTPS port
  * Instance affected by Apache Log4j denial of service vulnerability is exposed to network traffic from the internet [CVE-2021-45105]
  * Instance affected by Apache Log4j JDBC Appender remote code execution vulnerability is exposed to network traffic from the internet [CVE-2021-44832]
  * Instance affected by Apache Log4j Thread Context Map remote code execution vulnerability is exposed to network traffic from the internet [CVE-2021-45046]
  * Instance affected by Apache Log4j vulnerability is exposed to network traffic from the internet [CVE-2021-44228]
  * Instance affected by Argo CD vulnerability is exposed to network traffic from the internet [CVE-2022-24348]
  * Instance affected by Dirty Pipe vulnerability is exposed to network traffic from the internet [CVE-2022-0847]
  * Instance affected by Java Psychic Signatures vulnerability is exposed to network traffic from the internet [CVE-2022-21449]
  * Instance affected by Linux kernel container escape vulnerability is exposed to network traffic from the internet [CVE-2022-0185]
  * Instance affected by OMIGOD vulnerability is exposed to network traffic from the internet [CVE-2021-38647]
  * Instance affected by OpenSSL X.509 email address 4-Byte BOF (Spooky SSL) vulnerability is exposed to network traffic from the internet [CVE-2022-3602]
  * Instance affected by Samba vfs_fruit module remote code execution vulnerability is exposed to network traffic from the internet [CVE-2021-44142]
  * Instance affected by SMB DCE/RPC remote code execution vulnerability is exposed to network traffic from the internet [CVE-2022-26809]
  * Instance affected by Spring Cloud Function SpringShell vulnerability is exposed to network traffic from the internet [CVE-2022-22963]
  * Instance affected by Spring Framework SpringShell vulnerability is exposed to network traffic from the internet [CVE-2022-22965]
  * Instance affected by Text4shell RCE vulnerability is exposed to network traffic from the internet [CVE-2022-42889]
  * Instance is communicating with ports known to mine Bitcoin
  * Instance is communicating with ports known to mine Ethereum
  * Instances exposed to network traffic from the internet
  * Internet connectivity via TCP over insecure port
  * RedisWannaMine vulnerable instances with active network traffic

#### Incident Fields

- New: **Prisma Cloud - Findings Results**
- New: **Prisma Cloud - IAM Results**
Added the **Prisma Cloud - VM Alert Prioritization** incident type to the following incident fields:
- **Prisma Cloud ID**
- **Prisma Cloud Reason**
- **Prisma Cloud Rules**
- **Prisma Cloud Status**
- **Prisma Cloud Time**
- **RRN**
- **Resource API Name**
- **Resource Cloud Type**
- **Subscription Assigned By**
- **Subscription Created By**
- **Subscription Created On**
- **Subscription Description**
- **Subscription ID**
- **Subscription Name**
- **Subscription Type**
- **Subscription Updated By**
- **Subscription Updated On**
- **System Default**
- **VPC ID**

#### Incident Types

- New: **Prisma Cloud - VM Alert Prioritization**

#### Layouts

##### New: Prisma Cloud - VM Alert Prioritization

Added a new layout for the new "VM Alert Prioritization" incident type (Available from Cortex XSOAR 6.8.0).

#### Mappers

##### Prisma Cloud - Incoming Mapper

Added mapping for the new "VM Alert Prioritization" incident type.

#### Playbooks

##### New: Prisma Cloud - VM Alert Prioritization

This playbook handles incidents related to dozens of Prisma Cloud public VM alerts.
It determines the severity of the ingested alert based on data returned from Cortex XSOAR commands interacting with the Prisma Cloud API and creates new issues in either Slack or Jira, with all of the relevant information.
The playbook updates the Cortex XSOAR incident’s layout with information the analyst can use to investigate the alert. It also extracts and enriches indicators using existing configured integrations and then closes the investigation.

The flow of this playbook is as following:
1) Check the CSP type.
2) Check whether there's a public IP associated to the instance. In case there is, it will continue to other steps, if not, it will set the severity of the incident to "Low" and will close the incident.
3) Check if there are any vulnerabilities or findings related to the instance.
4) Check if there are any IAM permissions associated to the instance.
5) Set the incident severity based on the results:
   - Low - No public IP was found.
   - Medium - Public IP was found, other checks didn't return results.
   - High - Public IP was found and also one of the other checks returned results.
   - Critical - Public IP was found and both of the other checks returned results.
6) Notifications and ticketing with 3rd party systems.
7) Close the incident.
  
This playbook will run when a new incident is created with the **Prisma Cloud - VM Alert Prioritization** incident type which also includes a dedicated layout. (Available from Cortex XSOAR 6.8.0)

